<?php
// $Id: phptemplate.page.inc,v 1.1 2008/05/01 18:56:49 nedjo Exp $

/**
 * @file
 * A custom page callback for PHPTemplate, included as a separate page
 * to minimize the risk of collision with functions declared by themes.
 */

/**
 * Custom page callback for PHPTemplate.
 *
 * If we're in embed_widget mode, override the standard page rendering.
 *
 * @param $variables
 *   A sequential array of variables passed to the theme function.
 * @param $suggestions
 *   An array of suggested template files to use.
 */
function _phptemplate_page($variables, $suggestions = array(), $extension = '.tpl.php') {
  global $theme_engine;

  if (isset($_SESSION['embed_widgets_mode']) && $_SESSION['embed_widgets_mode'] && isset($_SESSION['embed_widgets_id'])) {
    unset($_SESSION['embed_widgets_mode']);
    $embed_widget = embed_widgets_load($_SESSION['embed_widgets_id']);
    $features = $embed_widget['features']['features'];
    // Filter the content.
    $variables['content'] = _embed_widgets_filter($embed_widget, $variables['content']);
    // Empty any variables not selected for this embed widget.
    foreach (array_keys(embed_widgets_feature_options()) as $key) {
      if (!$features[$key]) {
        $variables[$key] = '';
      }
    }
    $variables['filter_heads'] = $embed_widget['features']['filter_head'];
    print theme('embed_widgets_page', $variables);
  }
  else {
    $default_function = '_'. $theme_engine .'_default';
    if (function_exists($default_function)) {
      return call_user_func($default_function, 'page', $variables, $suggestions);
    }
  }
}